LoggingInInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class LoggingInInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractLoggingInterceptor
    - - org.apache.cxf.interceptor.LoggingInInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      @Deprecated
      public class LoggingInInterceptor
      extends AbstractLoggingInterceptor

  Deprecated.
  use the logging module rt/features/logging instead
  A simple logging handler which outputs the bytes of the message to the Logger.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `BINARY_CONTENT_MESSAGE, DEFAULT_LIMIT, limit, MULTIPART_CONTENT_MESSAGE, prettyLogging, threshold, writer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingInInterceptor()` | Deprecated.
    `LoggingInInterceptor​(int lim)` | Deprecated.
    `LoggingInInterceptor​(PrintWriter w)` | Deprecated.
    `LoggingInInterceptor​(String phase)` | Deprecated.
    `LoggingInInterceptor​(String id, int lim)` | Deprecated.
    `LoggingInInterceptor​(String id, PrintWriter w)` | Deprecated.
    `LoggingInInterceptor​(String id, String phase)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `formatLoggingMessage​(LoggingMessage loggingMessage)` | Deprecated.
    `protected Logger` | `getLogger()` | Deprecated.
    `void` | `handleMessage​(Message message)` | Deprecated. Intercepts a message.
    `protected void` | `logging​(Logger logger, Message message)` | Deprecated.
    `protected void` | `logInputStream​(Message message, InputStream is, LoggingMessage buffer, String encoding, String ct)` | Deprecated.
    `protected void` | `logReader​(Message message, Reader reader, LoggingMessage buffer)` | Deprecated.

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractLoggingInterceptor

      `getBinaryContentMediaTypes, getInMemThreshold, getLimit, getPrintWriter, isBinaryContent, isLoggingDisabledNow, isMultipartContent, isPrettyLogging, isShowBinaryContent, isShowMultipartContent, log, setBinaryContentMediaTypes, setInMemThreshold, setLimit, setOutputLocation, setPrettyLogging, setPrintWriter, setShowBinaryContent, setShowMultipartContent, transform, writePayload, writePayload, writePrettyPayload`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingInInterceptor

          public LoggingInInterceptor()

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(String phase)

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(String id,
                                      String phase)

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(int lim)

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(String id,
                                      int lim)

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(PrintWriter w)

      Deprecated.

    - #### LoggingInInterceptor

          public LoggingInInterceptor​(String id,
                                      PrintWriter w)

      Deprecated.

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Deprecated.
      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### logging

          protected void logging​(Logger logger,
                                 Message message)

      Deprecated.

    - #### logReader

          protected void logReader​(Message message,
                                   Reader reader,
                                   LoggingMessage buffer)

      Deprecated.

    - #### logInputStream

          protected void logInputStream​(Message message,
                                        InputStream is,
                                        LoggingMessage buffer,
                                        String encoding,
                                        String ct)

      Deprecated.

    - #### formatLoggingMessage

          protected String formatLoggingMessage​(LoggingMessage loggingMessage)

      Deprecated.

    - #### getLogger

          protected Logger getLogger()

      Deprecated.
      Specified by:
        `getLogger` in class `AbstractLoggingInterceptor`